Subject: [mif] Issue #9: Violates RFC 5505 section 3.2.1 (fate sharing)

From: Margaret Wasserman <[email-masked]>
Date: Fri, 9 Nov 2012 07:14:29 -0500

This issue claims that we "violate" RFC 5505.  However, RFC 5505 is an informational document that defines some terms and describes some concepts related to node configuration.  RFC 5505 does not contain any requirements, and is not a proscriptive document at all, and it doesn't make sense to talk about "violating" it.

It is true that the DHCPv6 Route Option (like all DHCP options) lacks the property of "fate sharing", unless the DHCP server is co-hosted with the default gateway in certain circumstances.  However, there is no requirement that all of our configuration mechanisms have that property.

I propose that we close this issue with no changes to the document.

Thoughts?
Margaret